Bug 670807 - e1000 driver tracebacks when running under VMware ESX4 [rhel-5.6.z]
Summary: e1000 driver tracebacks when running under VMware ESX4 [rhel-5.6.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: OtherQA, ZStream
Depends On: 651512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 12:59 UTC by RHEL Product and Program Management
Modified: 2018-11-14 15:36 UTC (History)
23 users (show)

(edit)
While bringing down an interface, the e1000 driver failed to properly handle IRQs (Interrupt Requests), resulting in the reception of the following messages:

    irq NN: nobody cared...

With this update, the driver's down flag is set later in the process of bringing down an interface, specifically, after all timers have exited, preventing the IRQ handler from being called and exiting early without handling the IRQ.
Clone Of:
(edit)
Last Closed: 2011-03-01 20:29:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-01-19 12:59:20 UTC
This bug has been copied from bug #651512 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 10 Jiri Pirko 2011-01-26 07:38:18 UTC
in kernel-2.6.18-238.3.1.el5

linux-2.6-net-e1000-avoid-unhandled-irq.patch
linux-2.6-net-e1000-fix-screaming-irq.patch

Comment 19 errata-xmlrpc 2011-03-01 20:29:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 20 Martin Prpič 2011-07-13 20:18:09 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
While bringing down an interface, the e1000 driver failed to properly handle IRQs (Interrupt Requests), resulting in the reception of the following messages:

    irq NN: nobody cared...

With this update, the driver's down flag is set later in the process of bringing down an interface, specifically, after all timers have exited, preventing the IRQ handler from being called and exiting early without handling the IRQ.


Note You need to log in before you can comment on or make changes to this bug.